oracle.cloud.scanning.api.config

## Class ClassReferenceResult

- java.lang.Object
- - oracle.cloud.scanning.api.config.Result
  - - oracle.cloud.scanning.api.config.ClassReferenceResult

- All Implemented Interfaces:
    ResultTypeIdentifier

      public class ClassReferenceResult
      extends Result
      implements ResultTypeIdentifier

  Result object against a usage of a class

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class oracle.cloud.scanning.api.config.Result

      `Result.ResultSeverity`

  - ### Field Summary

    - ### Fields inherited from class oracle.cloud.scanning.api.config.Result

      `allowed, message, PASSED, severity`

    - ### Fields inherited from interface oracle.cloud.scanning.api.config.ResultTypeIdentifier

      `OTHER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassReferenceResult(boolean passed, String tip, String message, oracle.cloud.scanning.types.Severity sev, String clazz, oracle.cloud.scanning.types.Severity sevWhenExempted)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()`
    `String` | `getResultId()`
    `String` | `getResultType()`
    `oracle.cloud.scanning.types.Severity` | `getSeverityWhenExempted()`
    `boolean` | `isToBeExempted()`
    `void` | `resetToExemptSeverity()`

    - ### Methods inherited from class oracle.cloud.scanning.api.config.Result

      `getMessage, getSeverity, isAllowed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassReferenceResult

          public ClassReferenceResult(boolean passed,
                              String tip,
                              String message,
                              oracle.cloud.scanning.types.Severity sev,
                              String clazz,
                              oracle.cloud.scanning.types.Severity sevWhenExempted)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### getSeverityWhenExempted

          public oracle.cloud.scanning.types.Severity getSeverityWhenExempted()

    - #### isToBeExempted

          public boolean isToBeExempted()

    - #### resetToExemptSeverity

          public void resetToExemptSeverity()

    - #### getResultType

          public String getResultType()

      Specified by:
        `getResultType` in interface `ResultTypeIdentifier`

    - #### getResultId

          public String getResultId()

      Specified by:
        `getResultId` in interface `ResultTypeIdentifier`

Copyright © 2018 Oracle. All rights reserved.